This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 648454 - Sm gui not getting refreshed with add button
Sm gui not getting refreshed with add button
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Justin Harris
spandey
: QA-Closed
Depends On:
Blocks: Entitlement-Beta
  Show dependency treegraph
 
Reported: 2010-11-01 06:47 EDT by spandey
Modified: 2015-04-23 19:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sm gui error (542.10 KB, image/png)
2010-11-01 06:47 EDT, spandey
no flags Details
No free entitlements are available for the pool with id 'ff8080812d5eda84012d5edb96850217' (512.21 KB, image/png)
2011-01-07 13:21 EST, John Sefler
no flags Details

  None (edit)
Description spandey 2010-11-01 06:47:07 EDT
Created attachment 456841 [details]
sm gui error

Description of problem:


Version-Release number of selected component (if applicable):


Prerequisites : 
Client : Rhel 6 alpha build with sm version 0.92.6-1
candlepin Candlepin.webqa.redhat.com

Steps to verify : 
Register client A , client B to candlepin using same user id 
Invoke sm gui on both client .
Subscribe Client “RHEL alpha Entitlement “ at client A using “ADD” button (Quantity is only 1) 
Press Add Button(Already invoked sm gui )  at  client B


Expected Result : 
“Rhel Alpha entitlement”should not available to subscribe.

Actual Result : 
Rhel Alpha entitlement is available to subscribe at client B ( “Sm gui not refreshed with Add Button “) 
Getting error message while subscribe 

Find the attached error screenshot.
Comment 2 Bryan Kearney 2010-11-01 08:18:15 EDT
good catch, but I am going to push this to the beta.
Comment 3 Justin Harris 2010-11-19 14:17:07 EST
Waiting on this until new UI is more complete...
Comment 4 Justin Harris 2010-12-13 10:32:08 EST
I think that the new GUI refreshes the search in each invocation (in the all subscriptions tab).  Can we verify if this is still an issue?
Comment 5 John Sefler 2011-01-07 13:21:51 EST
Created attachment 472274 [details]
No free entitlements are available for the pool with id 'ff8080812d5eda84012d5edb96850217'
Comment 6 John Sefler 2011-01-07 13:32:30 EST
I believe all of this is working as designed and working correctly in the new subscription-manager-gui.  Effectively, the user is attempting to subscribe to a subscription/contract for which there are no more quantities available.  As such, the user gets an error dialog as shown in attachment 472274 [details] stating that there are no free entitlements.  Moreover the "busy dialog" is working well and the application does not hang.  I feel the new gui is working correctly with respect to this defect and should be moved to VERIFIED.

Second opinion spandey@redhat.com?
Comment 7 spandey 2011-01-21 04:27:58 EST
I raised that defect against older UI 

Agree with John comment 


Moving defect status from ON_QA to Verified as per John comment 6
Comment 8 errata-xmlrpc 2011-05-19 09:42:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.